BINARY := bin/server

.PHONY: all build run docker-build test fmt clean

all: build

build:
	go build -o $(BINARY) ./cmd/server

run: build
	./$(BINARY)

docker-build:
	docker build -t lambdaiot-core:latest .

test:
	go test ./... -v

fmt:
	go fmt ./...

clean:
	rm -rf bin
